import App from './App'

// #ifndef VUE3
import Vue from 'vue'
import uView from '@/uni_modules/uview-ui'
import store from './store'
import api from './plugins/api'
import cache from './plugins/cache'
import permission from './plugins/permission'
import * as util from './plugins/util'
import config from './config'
import * as echarts from '@/uni_modules/lime-echart/static/echarts.min'
Vue.use(uView)

Vue.prototype.$api = api
Vue.prototype.$cache = cache
Vue.prototype.$store = store
Vue.prototype.$permission = permission
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
  ...App,
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app,
    store,
  }
}
app.$mount()
// #endif
